#### Beyond Linux® From Scratch (System V Edition) - Version 12.3

### Chapter 6. Text Editors

- Prev

  Emacs-30.1

- Next

  JOE-4.6

- Up
- Home

# Gedit-48.1

## Introduction to Gedit

The Gedit package contains a lightweight UTF-8 text editor for the GNOME Desktop.

This package is known to build and work properly using an LFS 12.3 platform.

### Package Information

- Download (HTTP): https://download.gnome.org/sources/gedit/48/gedit-48.1.tar.xz

- Download MD5 sum: 1aa72a59d51be4597490220af3ad0421

- Download size: 2.8 MB

- Estimated disk space required: 48 MB (with tests)

- Estimated build time: 0.2 SBU (using parallelism=4; with tests)

### Additional Downloads

- Download (HTTP): https://gitlab.gnome.org/World/gedit/libgedit-tepl/-/archive/6.12.0/libgedit-tepl-6.12.0.tar.bz2

- Download MD5 sum: a77de364f1c5848c7a487aa84a30523c

- Download size: 188 KB

- Estimated disk space required: 13 MB (with tests)

- Estimated build time: 0.3 SBU (with tests)

- Download (HTTP): https://gitlab.gnome.org/World/gedit/libgedit-gfls/-/archive/0.2.1/libgedit-gfls-0.2.1.tar.bz2

- Download MD5 sum: dea4a673ede783d59a4df1276911de10

- Download size: 24 KB

- Estimated disk space required: 1.4 MB (with tests)

- Estimated build time: less than 0.1 SBU (with tests)

### Gedit Dependencies

#### Required

gsettings-desktop-schemas-47.1, itstool-2.0.7, libgedit-amtk-5.9.0, libgeditsourceview-299.4.0 libhandy-1.8.3, and libpeas-1.36.0

#### Recommended

gspell-1.14.0, Gvfs-1.56.1 (runtime), ISO Codes-4.17.0, and PyGObject-3.50.0 (Python3 module)

#### Optional

GTK-Doc-1.34.0, Vala-0.56.17, and zeitgeist

## Installation of Gedit

First, build the gfls library:

    tar -xf ../libgedit-gfls-0.2.1.tar.bz2 &&
    pushd libgedit-gfls-0.2.1             &&

    mkdir gfls-build &&
    cd    gfls-build &&

    meson setup --prefix=/usr       \
                --buildtype=release \
                -D gtk_doc=false    \
                ..                  &&
    ninja

To test the results, run: ninja test.

Now, as the `root` user:

    ninja install

Change back to the top build directory:

    popd

Second, build the tepl library:

    tar -xf ../libgedit-tepl-6.12.0.tar.bz2 &&
    pushd libgedit-tepl-6.12.0             &&

    mkdir tepl-build &&
    cd    tepl-build &&

    meson setup --prefix=/usr       \
                --buildtype=release \
                -D gtk_doc=false    \
                ..                  &&
    ninja

To test the results, run: ninja test.

Now, as the `root` user:

    ninja install

Again, change back to the top build directory:

    popd

Finally, install Gedit by running the following commands:

    mkdir gedit-build &&
    cd    gedit-build &&

    meson setup --prefix=/usr       \
                --buildtype=release \
                -D gtk_doc=false    \
                .. &&
    ninja

To test the results, issue: ninja test.

Now, as the `root` user:

    ninja install

### Note

If you installed the package to your system using a “DESTDIR” method, `/usr/share/glib-2.0/schemas/gschemas.compiled` was not updated/created. Create (or update) the file using the following command as the `root` user:

    glib-compile-schemas /usr/share/glib-2.0/schemas

## Command Explanations

`-D gtk_doc=false`: This switch disables generating the API documentation. Omit this switch if you have GTK-Doc-1.34.0 installed and wish to generate the API documentation.

## Contents

Installed Program: gedit
Installed Libraries: libgedit-gfls-1.so, libgedit-tepl-6.so, and libgedit-48.so
Installed Directories: /usr/include/libgedit-gfls-1, /usr/include/libgedit-tepl-6, /usr/include/gedit-48, and /usr/{lib,share,share/help/*}/gedit

### Short Descriptions

gedit | is a lightweight text editor integrated with the GNOME Desktop

- Prev

  Emacs-30.1

- Next

  JOE-4.6

- Up
- Home